import { EventEmitter, ElementRef, Renderer2 } from '@angular/core';
import { MenuItem } from '@ironsource/fusion-ui/components/menu/common/base';
import { HeaderState } from './header-state';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { StorageService } from '@ironsource/fusion-ui/services/stogare';
import * as i0 from "@angular/core";
export declare abstract class HeaderBaseComponent {
    private renderer;
    private storageService;
    set menuAction(value: ElementRef);
    primaryMenuIconName: IconData;
    primaryMenuItems: MenuItem[];
    secondaryMenuItems: MenuItem[];
    userName: string;
    headerMenuUserNameIcon: string;
    set state(value: HeaderState);
    isMainMenuCollapsed: boolean;
    menuItemClick: EventEmitter<MenuItem>;
    menuStateChanged: EventEmitter<any>;
    logoClick: EventEmitter<any>;
    get state(): HeaderState;
    get menuAction(): ElementRef;
    userData: any;
    isUserMenuOpened: boolean;
    isHelpMenuOpened: boolean;
    private _state;
    private _menuAction;
    constructor(renderer: Renderer2, storageService: StorageService);
    changeMenuState(): void;
    onOutsideMenuClick(target: any): void;
    onUserMenuClicked(): void;
    onMenuItemClicked(event: any, item: any): void;
    onHelpMenuClicked(): void;
    onOutsideHelpMenuClick(target: any): void;
    onLogoClicked($event: any): void;
    private onStateChanged;
    private onMenuActionChanged;
    private handleMenuActionElement;
    private clearMenuActionContent;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<HeaderBaseComponent, never, never, { "primaryMenuIconName": { "alias": "primaryMenuIconName"; "required": false; }; "primaryMenuItems": { "alias": "primaryMenuItems"; "required": false; }; "secondaryMenuItems": { "alias": "secondaryMenuItems"; "required": false; }; "userName": { "alias": "userName"; "required": false; }; "headerMenuUserNameIcon": { "alias": "headerMenuUserNameIcon"; "required": false; }; "state": { "alias": "state"; "required": false; }; "isMainMenuCollapsed": { "alias": "isMainMenuCollapsed"; "required": false; }; }, { "menuItemClick": "menuItemClick"; "menuStateChanged": "menuStateChanged"; "logoClick": "logoClick"; }, never, never, false, never>;
}
